Bug Hunting Session
Bug 47352 - Unacceptable kerning of subscripts in Math formulas for italic style
Summary: Unacceptable kerning of subscripts in Math formulas for italic style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 72053 (view as bug list)
Depends on:
Blocks: Formula-Editor Font-Rendering
  Show dependency treegraph
 
Reported: 2012-03-15 05:41 UTC by bellgardt
Modified: 2019-10-22 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document demonstratring the kerning of subscripts (22.00 KB, application/vnd.oasis.opendocument.text)
2012-03-15 05:41 UTC, bellgardt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bellgardt 2012-03-15 05:41:25 UTC
Created attachment 58505 [details]
Document demonstratring the kerning of subscripts

Similar to writer (see bug 47351) subscripts for italic fonts have a much bigger spacing to a preceding character compared to superscripts, but in Math the distance is much wider and therefore unacceptable. The subscript looks more like a separate unconnected letter. This is demonstrated in the attached document.

An optimum solution would be to have the same visual impression in math formulas and in writer.
Comment 1 sasha.libreoffice 2012-06-08 00:56:41 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.4 on Fedora 64 bit and Windows XP
changing version to [unspecified] because bug inherited from OOo
Comment 2 Owen Genat (retired) 2013-12-09 10:55:23 UTC
(In reply to comment #1)
> reproduced in 3.3.4 and 3.5.4 on Fedora 64 bit and Windows XP
> changing version to [unspecified] because bug inherited from OOo

Additionally reproduced under Ubuntu 10.04 x86_64 using:

- v3.3.0.4 OOO330m19 Build: 6
- v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a

Version changed to Inherited From OOo.
Comment 3 Joel Madero 2013-12-22 16:58:32 UTC
*** Bug 72053 has been marked as a duplicate of this bug. ***
Comment 4 zeonchameleon 2014-10-07 06:44:51 UTC
Reproduced in 4.2.4, Windows 7

The issue is still actual.
Comment 5 QA Administrators 2015-10-14 19:57:02 UTC Comment hidden (obsolete)
Comment 6 kzmrz1957 2015-10-19 10:38:34 UTC
Issue still exists in 5.0.1.2 on Windows 7.
Comment 7 bellgardt 2015-10-21 07:18:09 UTC
This bug still exists in LO 5.0.2.2 x86
on Windows 7, 64bit
Comment 8 QA Administrators 2016-11-08 11:17:14 UTC Comment hidden (obsolete)
Comment 9 bellgardt 2016-11-09 09:45:42 UTC
(In reply to QA Administrators from comment #8)
In Version 5.2.2.2 (32 bit), Build-ID 8f96e87c890bf8fa77463cd4b640a2312823f3ad the bug looks still the same as before. Tested on Windows 7 64-bit.
Comment 10 QA Administrators 2017-11-10 08:03:38 UTC Comment hidden (obsolete)
Comment 11 bellgardt 2017-11-10 13:33:42 UTC
The bug still exists in Version: 5.4.3.2 (32 bit)

Build-ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU-Threads: 4; System:Windows 6.1 (64 bit); 
UI-Render: Standard; de-DE (de_DE); Calc: CL
Comment 12 QA Administrators 2019-10-22 02:32:06 UTC
Dear bellgardt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug